PDA

Visualizza la versione completa : driver modem adsl


mcilgrifo
03-01-2005, 14:12
Ciao a tutti!
Sono un nuovo utente Linux da circa 20 giorni.
Possiedo una connessione adsl fornitami dalla telecom ed il mio primo obiettivo è stato quello di configurarla per poterla usare con Linux.
Ho trovato dei driver per il modem che mi hanno messo a disposizione.
Il modello è fastrate usb100.
Ho seguito diversi tutorial presenti in rete e sostanzialmente le cose da fare sono tre:
1. installare la versione 2.4.26 del kernel (io possiedo la 2.4.22 che è presente nella mia slackware 9.1) facendo attenzione ad inserire le modifiche indicate dalle guide, nel menu di configurazione del kernel (per capirci il menu che compare dopo il comando 'make xconfig')
2. modificare o meglio patchare i driver messi a disposizione in rete per un modem di un altro modello che però ha lo stesso chip e successivamente installarli a mano come consigliato (per capirci senza dare make install)
3. configurare i dati per la connessione (username, password, nameserver, ecc.)

Dopo vari tentativi rimango bloccato al punto n°2.
Riporto di seguito i comandi che utilizzo e il loro output, dopo aver compilato e installato a mano il modulo (il nome del modulo è unicorn_usb_atm.o):

#depmod -ae
#***Unresolved symbols in unicorn_usb_atm

#insmod unicorn_usb_atm.o
#....this file was compiled for kernel 2.4.22..... while you are using a 2.4.26 kernel

#modprobe unicorn_usb_atm
#...no such file or dir....

E' possibile che commetta qualche errore quando vado a configurare le opzioni del kernel con 'make xconfig'?
Le opzioni che mi vengono indicate nella guida sono tutte selezionate come richiesto.
Ho anche provato a disabilitare l'opzione presente in "Loadable module support":"Set version information on all modules symbols", ma non mi cambia niente.
C'è qualche altra opzione da configurare nel kernel o qualche altra operazione da eseguire mentre installo il modulo per il modem?
Qualcuno ha qualche consiglio da darmi?

Ringrazio tutti per la disponibilità.

francofait
03-01-2005, 14:31
ProMepis2005 e SympleMepis - supportano nativamente il tuo moben

gatto012
18-01-2005, 21:46
che differenze ci sono tra promepis e symplemepis?

sono delle buone distro in via geerale?

Loading